## opencascade 7.3.3+dfsg1

=== dox/CMakeLists.txt ===
project (Overview)

# directory that contains all raw OCCT overview articles (markdown format)
set (OCCT_OVERVIEW_DIR "${CMAKE_SOURCE_DIR}/dox")

# directory that contains resources for the generation of OCCT documentation
set (OCCT_OVERVIEW_RESOURCE_DIR "${OCCT_OVERVIEW_DIR}/resources")

# directory that contains all generated OCCT articles
set (OCCT_GENERATED_DOC_DIR "${CMAKE_BINARY_DIR}/doc")
if (NOT EXISTS "${OCCT_GENERATED_DOC_DIR}")
  file (MAKE_DIRECTORY "${OCCT_GENERATED_DOC_DIR}")
endif()

# directory that contains generated OCCT overview articles
set (OCCT_GENERATED_OVERVIEW_DIR "${OCCT_GENERATED_DOC_DIR}/overview")
if (NOT EXISTS "${OCCT_GENERATED_OVERVIEW_DIR}")
  file (MAKE_DIRECTORY "${OCCT_GENERATED_OVERVIEW_DIR}")
endif()

# directory that contains generated OCCT overview articles in html format
set (OCCT_GENERATED_HTML_OVERVIEW_DIR "${OCCT_GENERATED_OVERVIEW_DIR}/html")
if (NOT EXISTS "${OCCT_GENERATED_HTML_OVERVIEW_DIR}")
  file (MAKE_DIRECTORY "${OCCT_GENERATED_HTML_OVERVIEW_DIR}")
endif()

# read OCCT articles that should be generated
set (OCCT_ARTICLES "")
if (EXISTS "${OCCT_OVERVIEW_DIR}/FILES_HTML.txt" )
  file (STRINGS "${OCCT_OVERVIEW_DIR}/FILES_HTML.txt" OCCT_ARTICLES REGEX "^[^#]+")
else()
  message (FATAL_ERROR "FILES_HTML.txt is not found in ${OCCT_OVERVIEW_DIR}")
endif()

# configuration file for doxygen
set (OCCT_CONFIG_FOR_DOXYGEN "${OCCT_GENERATED_DOC_DIR}/occt.cfg")

set (3RDPARTY_MATHJAX_RELATIVE_PATH "https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1")

configure_file ("${OCCT_OVERVIEW_RESOURCE_DIR}/occt_ug_html.doxyfile" "${OCCT_CONFIG_FOR_DOXYGEN}" COPYONLY)

# Add common options for generation of Overview and User Guides
file (APPEND ${OCCT_CONFIG_FOR_DOXYGEN} "\nPROJECT_NUMBER         = ${OCC_VERSION_STRING_EXT}")
file (APPEND ${OCCT_CONFIG_FOR_DOXYGEN} "\nOUTPUT_DIRECTORY       = ${OCCT_GENERATED_OVERVIEW_DIR}/.")
file (APPEND ${OCCT_CONFIG_FOR_DOXYGEN} "\nPROJECT_LOGO           = ${OCCT_OVERVIEW_DIR}/resources/occ_logo.png")

set (OCCT_ARTICLE_PARAM_INPUT     "INPUT                  =")
set (OCCT_ARTICLE_PARAM_IMAGEPATH "IMAGE_PATH             = ${OCCT_OVERVIEW_DIR}/resources/ ")

set (OCCT_ARTICLES_ABSPATH "")
foreach (OCCT_ARTICLE ${OCCT_ARTICLES})
  get_filename_component (OCCT_ARTICLE_ABSOLUTE_PATH "${OCCT_OVERVIEW_DIR}/${OCCT_ARTICLE}" ABSOLUTE)
  get_filename_component (OCCT_ARTICLE_PARENT_DIR "${OCCT_ARTICLE_ABSOLUTE_PATH}" PATH)

  if (EXISTS "${OCCT_ARTICLE_PARENT_DIR}/images")
    set (OCCT_ARTICLE_PARAM_IMAGEPATH "${OCCT_ARTICLE_PARAM_IMAGEPATH} ${OCCT_ARTICLE_PARENT_DIR}/images")
  endif()

  set (OCCT_ARTICLE_PARAM_INPUT "${OCCT_ARTICLE_PARAM_INPUT} ${OCCT_ARTICLE_ABSOLUTE_PATH}")

  set (SOURCE_GROUP_NAME "")

  # add the file to appropriate source group
  get_filename_component (CURRENT_TAIL_PATH "${OCCT_ARTICLE}" PATH)
  while (CURRENT_TAIL_PATH AND NOT "${CURRENT_TAIL_PATH}" STREQUAL "..")
    get_filename_component (CURRENT_DIR_NAME "${CURRENT_TAIL_PATH}" NAME)
    set (SOURCE_GROUP_NAME "${CURRENT_DIR_NAME}\\${SOURCE_GROUP_NAME}")

    # one step out (get parent directory)
    get_filename_component (CURRENT_TAIL_PATH "${CURRENT_TAIL_PATH}" PATH)
  endwhile()
  SOURCE_GROUP ("${SOURCE_GROUP_NAME}" FILES ${OCCT_ARTICLE_ABSOLUTE_PATH})

  list (APPEND OCCT_ARTICLES_ABSPATH ${OCCT_ARTICLE_ABSOLUTE_PATH})
endforeach()

file (APPEND ${OCCT_CONFIG_FOR_DOXYGEN} "\n${OCCT_ARTICLE_PARAM_INPUT}")
file (APPEND ${OCCT_CONFIG_FOR_DOXYGEN} "\n${OCCT_ARTICLE_PARAM_IMAGEPATH}")

# Add document type-specific options
# generate tree view
file (APPEND ${OCCT_CONFIG_FOR_DOXYGEN} "\nGENERATE_TREEVIEW      = YES")

# HTML Search engine options
file (APPEND ${OCCT_CONFIG_FOR_DOXYGEN} "\nSEARCHENGINE           = YES")
file (APPEND ${OCCT_CONFIG_FOR_DOXYGEN} "\nSERVER_BASED_SEARCH    = YES")
file (APPEND ${OCCT_CONFIG_FOR_DOXYGEN} "\nEXTERNAL_SEARCH        = NO")

# Formula options
file (APPEND ${OCCT_CONFIG_FOR_DOXYGEN} "\nMATHJAX_RELPATH        = ${3RDPARTY_MATHJAX_RELATIVE_PATH}")

# Copy index file to provide fast access to HTML documentation
file(COPY "${OCCT_OVERVIEW_RESOURCE_DIR}/index.html" DESTINATION "${OCCT_GENERATED_OVERVIEW_DIR}")

# get relative paths to documentation source files
file (GLOB_RECURSE OCCT_OVERVIEW_FILES "${OCCT_OVERVIEW_DIR}/*")

add_custom_command(OUTPUT "${OCCT_GENERATED_DOC_DIR}/overview/html/occt_logo.png"
  COMMAND ${3RDPARTY_DOXYGEN_EXECUTABLE} ${OCCT_CONFIG_FOR_DOXYGEN}
  DEPENDS ${OCCT_OVERVIEW_FILES}
  WORKING_DIRECTORY ${OCCT_GENERATED_DOC_DIR}
  COMMENT "Generating OCCT overview documentation with Doxygen"
  VERBATIM
)

add_custom_target(${PROJECT_NAME} ALL
  DEPENDS "${OCCT_GENERATED_DOC_DIR}/overview/html/occt_logo.png" ${OCCT_OVERVIEW_FILES}
  SOURCES ${OCCT_ARTICLES_ABSPATH}
  VERBATIM
)

# Create Documentation folder in solution view
set_property (TARGET ${PROJECT_NAME} PROPERTY FOLDER "Documentation")

=== tools/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

set (ADDITIONAL_INLCUDE_DIR_DESCR "Additional directory to be added in the projects include section")
if (NOT DEFINED ADDITIONAL_INLCUDE_DIR)
  set (ADDITIONAL_INLCUDE_DIR "" CACHE PATH ${ADDITIONAL_INLCUDE_DIR_DESCR})
  get_filename_component (ADDITIONAL_INLCUDE_DIR "${ADDITIONAL_INLCUDE_DIR}" ABSOLUTE)
else()
  file (TO_CMAKE_PATH "${ADDITIONAL_INLCUDE_DIR}" ADDITIONAL_INLCUDE_DIR)
  set (ADDITIONAL_INLCUDE_DIR "${ADDITIONAL_INLCUDE_DIR}" CACHE PATH "${ADDITIONAL_INLCUDE_DIR_DESCR}" FORCE)
endif()

set (ADDITIONAL_DLL_DIR_DESCR "Additional directories that should be included into PATH")
if (NOT DEFINED ADDITIONAL_DLL_DIR)
  set (ADDITIONAL_DLL_DIR "" CACHE PATH ${ADDITIONAL_DLL_DIR_DESCR})
  get_filename_component (ADDITIONAL_DLL_DIR "${ADDITIONAL_DLL_DIR}" ABSOLUTE)
else()
  file (TO_CMAKE_PATH "${ADDITIONAL_DLL_DIR}" ADDITIONAL_DLL_DIR)
  set (ADDITIONAL_DLL_DIR "${ADDITIONAL_DLL_DIR}" CACHE PATH "${ADDITIONAL_DLL_DIR_DESCR}" FORCE)
endif()

set (CURRENT_DIR "${CMAKE_SOURCE_DIR}")
set (CMAKE_SOURCE_DIR "${CMAKE_SOURCE_DIR}/.." CACHE INTERNAL "" FORCE)
set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/adm/cmake")

set (CMAKE_SUPPRESS_REGENERATION TRUE)

set (CMAKE_CONFIGURATION_TYPES Release Debug RelWithDebInfo CACHE INTERNAL "" FORCE)

# macro: include patched file if it exists
macro (OCCT_INCLUDE_CMAKE_FILE BEING_INCLUDED_FILE)
  if (BUILD_PATCH AND EXISTS "${BUILD_PATCH}/${BEING_INCLUDED_FILE}.cmake")
    include (${BUILD_PATCH}/${BEING_INCLUDED_FILE}.cmake)
  else()
    include (${CMAKE_SOURCE_DIR}/${BEING_INCLUDED_FILE}.cmake)
  endif()
endmacro()

macro (OCCT_INCLUDE_3RDPARTY_PRODUCT USE_PRODUCT PRODUCT_CONFIG_FILE)
  if (${USE_PRODUCT})
    OCCT_INCLUDE_CMAKE_FILE ("${PRODUCT_CONFIG_FILE}")
  endif (${USE_PRODUCT})
endmacro()

# include variable description
OCCT_INCLUDE_CMAKE_FILE ("adm/cmake/vardescr")

# set type of OCCT libraries
if (NOT BUILD_LIBRARY_TYPE)
  set (BUILD_LIBRARY_TYPE "Shared" CACHE STRING "${BUILD_LIBRARY_TYPE_DESCR}" FORCE)
  SET_PROPERTY(CACHE BUILD_LIBRARY_TYPE PROPERTY STRINGS Shared Static)
endif()

if ("${BUILD_LIBRARY_TYPE}" STREQUAL "Shared")
  set (BUILD_SHARED_LIBS ON)

  if (NOT DEFINED BUILD_SHARED_LIBRARY_NAME_POSTFIX)
    set (BUILD_SHARED_LIBRARY_NAME_POSTFIX "" CACHE STRING "${BUILD_SHARED_LIBRARY_NAME_POSTFIX_DESCR}" FORCE)
  endif()
else()
  unset (BUILD_SHARED_LIBS)
  unset (BUILD_SHARED_LIBRARY_NAME_POSTFIX)
endif()

# the name of the project
project (Inspector)

if (WIN32)
  add_definitions(-DUNICODE)
  add_definitions(-D_UNICODE)
endif()

# include occt macros
OCCT_INCLUDE_CMAKE_FILE ("adm/cmake/occt_macros")

# Solution folder property
set_property (GLOBAL PROPERTY USE_FOLDERS ON)

# a single-configuration generator like the Makefile generator defines CMAKE_BUILD_TYPE variable
# check this variable and set if it's required
if (DEFINED CMAKE_BUILD_TYPE AND NOT CMAKE_BUILD_TYPE) # single-configuration generator.
  set (CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif()

if (BUILD_WITH_DEBUG)
  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS $<$<CONFIG:DEBUG>:OCCT_DEBUG>)
endif()

# install dir of the project
if (NOT DEFINED INSTALL_DIR)
  # set default install directory for Windows
  if (WIN32 AND NOT DEFINED CMAKE_INSTALL_PREFIX)
    set (CMAKE_INSTALL_PREFIX "C:/opencascade-${OCC_VERSION_STRING_EXT}/inspector")
  endif()
  set (INSTALL_DIR "${CMAKE_INSTALL_PREFIX}" CACHE PATH "${INSTALL_DIR_DESCR}")
else()
  file (TO_CMAKE_PATH "${INSTALL_DIR}" INSTALL_DIR)
  set (INSTALL_DIR "${INSTALL_DIR}" CACHE PATH "${INSTALL_DIR_DESCR}" FORCE)
endif()

# choose a variant of the layout of the install paths
if (NOT INSTALL_DIR_LAYOUT)
  if (WIN32)
    set (INSTALL_DIR_LAYOUT "Windows" CACHE STRING "${INSTALL_DIR_LAYOUT_DESCR}" FORCE)
  else()
    set (INSTALL_DIR_LAYOUT "Unix" CACHE STRING "${INSTALL_DIR_LAYOUT_DESCR}" FORCE)
  endif()
  SET_PROPERTY(CACHE INSTALL_DIR_LAYOUT PROPERTY STRINGS Windows Unix)
endif()

# check INSTALL_DIR_LAYOUT changes and update INSTALL_DIR_* paths if necessary
if (NOT DEFINED INSTALL_DIR_LAYOUT_PREV)
  set (INSTALL_DIR_LAYOUT_PREV "${INSTALL_DIR_LAYOUT}" CACHE INTERNAL "" FORCE)
elseif (NOT "${INSTALL_DIR_LAYOUT_PREV}" STREQUAL "${INSTALL_DIR_LAYOUT}")
  set (INSTALL_DIR_LAYOUT_PREV "${INSTALL_DIR_LAYOUT}" CACHE INTERNAL "" FORCE)
  # The structure of install folder should be reset due to changed layout
  OCCT_CHECK_AND_UNSET_INSTALL_DIR_SUBDIRS ()

  # Unset INSTALL_DIR_WITH_VERSION on windows
  if ("${INSTALL_DIR_LAYOUT}" STREQUAL "Windows")
    OCCT_CHECK_AND_UNSET (INSTALL_DIR_WITH_VERSION)
  else()
    if (NOT DEFINED INSTALL_DIR_WITH_VERSION)
      set (INSTALL_DIR_WITH_VERSION OFF CACHE BOOL "${INSTALL_DIR_WITH_VERSION_DESCR}")
    endif()
  endif()
endif()

# check CMAKE_INSTALL_PREFIX changes and update INSTALL_DIR if necessary
if (NOT DEFINED CMAKE_INSTALL_PREFIX_PREV)
  set (CMAKE_INSTALL_PREFIX_PREV "${CMAKE_INSTALL_PREFIX}" CACHE INTERNAL "" FORCE)
elseif (NOT "${CMAKE_INSTALL_PREFIX_PREV}" STREQUAL "${CMAKE_INSTALL_PREFIX}")
  # CMAKE_INSTALL_PREFIX has been changed at previous step
  set (CMAKE_INSTALL_PREFIX_PREV "${CMAKE_INSTALL_PREFIX}" CACHE INTERNAL "" FORCE)
  
  # INSTALL_DIR is required to be updated
  set (INSTALL_DIR "${CMAKE_INSTALL_PREFIX}" CACHE PATH "${INSTALL_DIR_DESCR}" FORCE)
endif()

# check INSTALL_DIR changes and update CMAKE_INSTALL_PREFIX if necessary
if (NOT DEFINED INSTALL_DIR_PREV)
  set (INSTALL_DIR_PREV "${INSTALL_DIR}" CACHE INTERNAL "" FORCE)
elseif (NOT "${INSTALL_DIR_PREV}" STREQUAL "${INSTALL_DIR}")
  # INSTALL_DIR has been changed at previous step
  set (INSTALL_DIR_PREV "${INSTALL_DIR}" CACHE INTERNAL "" FORCE)

  # sync CMAKE_INSTALL_PREFIX with INSTALL_DIR 
  set (CMAKE_INSTALL_PREFIX "${INSTALL_DIR}" CACHE INTERNAL "" FORCE)

  # set CMAKE_INSTALL_PREFIX_PREV to avoid the reset of structure of the install folder 
  set (CMAKE_INSTALL_PREFIX_PREV "${INSTALL_DIR}" CACHE INTERNAL "" FORCE)
endif()

if ("${INSTALL_DIR_LAYOUT}" STREQUAL "Unix")
  if (NOT DEFINED INSTALL_DIR_WITH_VERSION_PREV)
    set (INSTALL_DIR_WITH_VERSION_PREV "${INSTALL_DIR_WITH_VERSION}" CACHE INTERNAL "" FORCE)
  elseif (NOT "${INSTALL_DIR_WITH_VERSION_PREV}" STREQUAL "${INSTALL_DIR_WITH_VERSION}")
    # INSTALL_DIR_WITH_VERSION has been changed at previous step
    set (INSTALL_DIR_WITH_VERSION_PREV "${INSTALL_DIR_WITH_VERSION}" CACHE INTERNAL "" FORCE)

    OCCT_CHECK_AND_UNSET_INSTALL_DIR_SUBDIRS ()
  endif()
endif()

# hide CMAKE_INSTALL_PREFIX from a user
set (CMAKE_INSTALL_PREFIX "${INSTALL_DIR}" CACHE INTERNAL "" FORCE)

set (BIN_LETTER "")
if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
  set (BIN_LETTER "d")
elseif ("${CMAKE_BUILD_TYPE}" STREQUAL "RelWithDebInfo")
  set (BIN_LETTER "i")
endif()

# Get all used variables: OS_WITH_BIT, COMPILER
OCCT_MAKE_OS_WITH_BITNESS()
OCCT_MAKE_COMPILER_SHORT_NAME()

# do not define INSTALL_DIR_BIN for win.
# Leave library structure for win: <prefix>/win64/vc10/bin(d)
if (NOT DEFINED INSTALL_DIR_BIN)
  if ("${INSTALL_DIR_LAYOUT}" STREQUAL "Unix")
    set (INSTALL_DIR_BIN "bin" CACHE PATH "${INSTALL_DIR_BIN_DESCR}")
  else()
    set (INSTALL_DIR_BIN "${OS_WITH_BIT}/${COMPILER}/bin" CACHE PATH "${INSTALL_DIR_BIN_DESCR}")
  endif()
endif()

# define folder contaning all shell/batch scripts
if (NOT DEFINED INSTALL_DIR_SCRIPT)
  if ("${INSTALL_DIR_LAYOUT}" STREQUAL "Unix")
    set (INSTALL_DIR_SCRIPT "${INSTALL_DIR_BIN}" CACHE PATH "${INSTALL_DIR_SCRIPT_DESCR}")
  else()
    set (INSTALL_DIR_SCRIPT "." CACHE PATH "${INSTALL_DIR_SCRIPT_DESCR}")
  endif()
endif()

# place the libraries to <prefix>/lib folder for unix and leave old structure for windows
if (NOT DEFINED INSTALL_DIR_LIB)
  if ("${INSTALL_DIR_LAYOUT}" STREQUAL "Unix")
    set (INSTALL_DIR_LIB "lib" CACHE PATH "${INSTALL_DIR_LIB_DESCR}")
  else()
    set (INSTALL_DIR_LIB "${OS_WITH_BIT}/${COMPILER}/lib" CACHE PATH "${INSTALL_DIR_LIB_DESCR}")
  endif()
endif()

# OCCT headers: <prefix>/inc for windows,
#               <prefix>/include/opencascade-7.0.0 for unix
if (NOT DEFINED INSTALL_DIR_INCLUDE)
  if ("${INSTALL_DIR_LAYOUT}" STREQUAL "Unix")
    set (INSTALL_DIR_INCLUDE "include/opencascade" CACHE PATH "${INSTALL_DIR_INCLUDE_DESCR}")
    if (INSTALL_DIR_WITH_VERSION)
      set (INSTALL_DIR_INCLUDE "include/opencascade-${OCC_VERSION_STRING_EXT}" CACHE PATH "${INSTALL_DIR_INCLUDE_DESCR}" FORCE)
    endif()
  else()
    set (INSTALL_DIR_INCLUDE "inc" CACHE PATH "${INSTALL_DIR_INCLUDE_DESCR}")
  endif()
endif()

# OCCT resources: <prefix>/src for windows,
#                 <prefix>/share/opencascade-7.0.0/resources for unix
if (NOT DEFINED INSTALL_DIR_RESOURCE)
  if ("${INSTALL_DIR_LAYOUT}" STREQUAL "Unix")
    set (INSTALL_DIR_RESOURCE "share/opencascade/resources" CACHE PATH "${INSTALL_DIR_RESOURCE_DESCR}")
    if (INSTALL_DIR_WITH_VERSION)
      set (INSTALL_DIR_RESOURCE "share/opencascade-${OCC_VERSION_STRING_EXT}/resources" CACHE PATH "${INSTALL_DIR_RESOURCE_DESCR}" FORCE)
    endif()
  else()
    set (INSTALL_DIR_RESOURCE "src" CACHE PATH "${INSTALL_DIR_RESOURCE_DESCR}")
  endif()
endif()

# OCCT data
if (NOT DEFINED INSTALL_DIR_DATA)
  if ("${INSTALL_DIR_LAYOUT}" STREQUAL "Unix")
    set (INSTALL_DIR_DATA "share/opencascade/data" CACHE PATH "${INSTALL_DIR_DATA_DESCR}")
    if (INSTALL_DIR_WITH_VERSION)
      set (INSTALL_DIR_DATA "share/opencascade-${OCC_VERSION_STRING_EXT}/data" CACHE PATH "${INSTALL_DIR_DATA_DESCR}" FORCE)
    endif()
  else()
    set (INSTALL_DIR_DATA "data" CACHE PATH "${INSTALL_DIR_DATA_DESCR}")
  endif()
endif()

# include the patched or original list of definitions and flags
OCCT_INCLUDE_CMAKE_FILE ("adm/cmake/occt_defs_flags")

OCCT_INCLUDE_CMAKE_FILE ("adm/cmake/3rdparty_macro")

if (NOT DEFINED 3RDPARTY_DIR)
  set (3RDPARTY_DIR "" CACHE PATH ${3RDPARTY_DIR_DESCR})
  get_filename_component (3RDPARTY_DIR "${3RDPARTY_DIR}" ABSOLUTE)
else()
  file (TO_CMAKE_PATH "${3RDPARTY_DIR}" 3RDPARTY_DIR)
  set (3RDPARTY_DIR "${3RDPARTY_DIR}" CACHE PATH "${3RDPARTY_DIR_DESCR}" FORCE)
endif()

find_package(OpenCASCADE QUIET PATHS "${OpenCASCADE_DIR}" "${OpenCASCADE_INSTALL_PREFIX}" NO_DEFAULT_PATH)
# include OCCT headers
include_directories ("${OpenCASCADE_INCLUDE_DIR}")

if (NOT OpenCASCADE_FOUND)
  message (FATAL_ERROR "coult not find OpenCASCADE, please set OpenCASCADE_DIR variable" )
else()
  set (OpenCASCADE_DIR "${OpenCASCADE_INSTALL_PREFIX}" CACHE PATH "OpenCASCADE directory" FORCE)
  message (STATUS "Using OpenCASCADE from \"${OpenCASCADE_DIR}\"" )
endif()

set (USE_TCL "${OpenCASCADE_WITH_TCL}")
set (USE_FREETYPE "${OpenCASCADE_WITH_FREETYPE}")
set (USE_FREEIMAGE "${OpenCASCADE_WITH_FREEIMAGE}")
set (USE_GL2PS "${OpenCASCADE_WITH_GL2PS}")
set (USE_TBB "${OpenCASCADE_WITH_TBB}")
set (USE_VTK "${OpenCASCADE_WITH_VTK}")
set (USE_FFMPEG "${OpenCASCADE_WITH_FFMPEG}")
set (USE_GLES2 "${OpenCASCADE_WITH_GLES2}")
set (USE_GLX "${OpenCASCADE_WITH_GLX}")


# define CSF variable
OCCT_INCLUDE_CMAKE_FILE ("adm/cmake/occt_csf")

# custom definitions (CMakeConfig of OCCT)
OCCT_INCLUDE_3RDPARTY_PRODUCT (USE_TCL "adm/cmake/tcl")
OCCT_INCLUDE_3RDPARTY_PRODUCT (USE_FREETYPE "adm/cmake/freetype")
OCCT_INCLUDE_3RDPARTY_PRODUCT (USE_FREEIMAGE "adm/cmake/freeimage")
OCCT_INCLUDE_3RDPARTY_PRODUCT (USE_GL2PS "adm/cmake/gl2ps")
OCCT_INCLUDE_3RDPARTY_PRODUCT (USE_TBB "adm/cmake/tbb")
OCCT_INCLUDE_3RDPARTY_PRODUCT (USE_VTK "adm/cmake/vtk")
OCCT_INCLUDE_3RDPARTY_PRODUCT (USE_FFMPEG "adm/cmake/ffmpeg")
OCCT_INCLUDE_3RDPARTY_PRODUCT (USE_GLES2 "adm/cmake/egl")
OCCT_INCLUDE_3RDPARTY_PRODUCT (USE_GLES2 "adm/cmake/gles2")
OCCT_INCLUDE_3RDPARTY_PRODUCT (USE_GLX "adm/cmake/glx")


OCCT_INCLUDE_CMAKE_FILE ("adm/cmake/qt")
OCCT_INCLUDE_CMAKE_FILE ("adm/cmake/occt_macros")

#include (${CMAKE_SOURCE_DIR}/adm/cmake/3rdparty.cmake)

set (3RDPARTY_DLL_DEB_PATH "${3RDPARTY_DLL_PATH}")

# build directories

=== src/DRAWEXE/CMakeLists.txt ===
project(DRAWEXE)

set (EXECUTABLE_PROJECT ON)
OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
unset (EXECUTABLE_PROJECT)

=== src/TKBO/CMakeLists.txt ===
project(TKBO)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)

=== src/TKCAF/CMakeLists.txt ===
project(TKCAF)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)

=== src/TKCDF/CMakeLists.txt ===
project(TKCDF)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)

=== src/TKIVtk/CMakeLists.txt ===
project(TKIVtk)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)

=== src/TKService/CMakeLists.txt ===
project(TKService)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)

=== src/TKTObj/CMakeLists.txt ===
project(TKTObj)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)

=== tools/TKTInspectorAPI/CMakeLists.txt ===
project(TKTInspectorAPI)

SET (TOOL_API_LIBRARY ON)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit_prepare_tool)
OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit_prepare_tool)

UNSET (TOOL_API_LIBRARY)

=== samples/qt/AndroidQt/CMakeLists.txt ===
project(AndroidQt)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit_prepare_sample)
OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit_prepare_sample)

ADD_DEFINITIONS(-DNO_Common_EXPORTS)

=== samples/qt/IESample/CMakeLists.txt ===
project(IESample)

OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit_prepare_sample)
include_directories("${CMAKE_SOURCE_DIR}/${RELATIVE_DIR}/Interface/src")
include_directories("${CMAKE_SOURCE_DIR}/${RELATIVE_DIR}/Common/src")
OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit)
OCCT_INCLUDE_CMAKE_FILE (adm/cmake/occt_toolkit_prepare_sample)

ADD_DEFINITIONS(-DNO_COMMONSAMPLE_EXPORTS -DNO_IESAMPLE_EXPORTS)

=== debian/changelog ===
opencascade (7.3.3+dfsg1-2+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 7.3.0+dfsg1-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 02 Aug 2018 14:38:13 +0000]
  * Update symbols for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Mon, 13 Apr 2020 13:05:00 +0000

opencascade (7.3.3+dfsg1-2) unstable; urgency=medium

  * Fix FTCBFS for armel: build/host confusion. (Closes: #930938)
    Thanks to Helmut Grohne for the patch.
  * Add patch tp configure doxygen not to use php as search engine.
    (Closes: #914498)
  * Add a 64x64 icon and use it for the desktop file and install it
    to /usr/share/icons/hicolor/64x64/apps, as hinted by appstream.
  * Drop pkg-kde-tools from B-D an d/rules.
  * Update d/copyright years.

 -- Tobias Frost <tobi@debian.org>  Wed, 08 Apr 2020 14:12:47 +0200

opencascade (7.3.3+dfsg1-1) unstable; urgency=medium

  * [c17bb14] Update debian/watch to pick up patch releases
  * [133582a] New upstream version 7.3.3+dfsg1

 -- Kurt Kremitzki <kurt@kwk.systems>  Sat, 20 Jul 2019 02:01:53 -0500

=== debian/control ===
Source: opencascade
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kurt Kremitzki <kkremitzki@gmail.com>, Tobias Frost <tobi@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper(>=11),
               dh-exec,
               libfreeimage-dev,
               libfreetype6-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libtbb-dev,
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxmu-dev,
               tcl-dev,
               tk-dev
Build-Depends-Indep: doxygen,
                     graphviz
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/opencascade
Vcs-Git: https://salsa.debian.org/science-team/opencascade.git
Homepage: https://www.opencascade.com/

Package: libocct-foundation-7.3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OCCT module underlying all other OCCT classes
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains foundation classes which provide a variety of
 general-purpose services such as automated management of heap memory,
 exception handling, classes for manipulating aggregates of data, basic
 math tools.
 .
 This package contains the following shared libraries:
   TKernel TKMath

Package: libocct-foundation-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libocct-foundation-7.3 (<< ${binary:Version}+1~),
         libocct-foundation-7.3 (>= ${binary:Version}),
         ${misc:Depends}
Conflicts: liboce-foundation-dev
Replaces: liboce-foundation-dev
Description: Open CASCADE Technology module underlying all other OCCT classes - dev files
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libocct-foundation.

Package: libocct-modeling-data-7.3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open CASCADE Technology 2D/3D geometric primitives data structures
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package supplies data structures to represent 2D and 3D geometric models.
 .
 This package contains the following shared libraries:
   TKG2d TKG3d TKGeomBase TKBRep

Package: libocct-modeling-data-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libocct-foundation-dev (<< ${binary:Version}+1~),
         libocct-foundation-dev (>= ${binary:Version}),
         libocct-modeling-data-7.3 (<< ${binary:Version}+1~),
         libocct-modeling-data-7.3 (>= ${binary:Version}),
         ${misc:Depends}
Conflicts: liboce-modeling-dev
Replaces: liboce-modeling-dev
Description: Open CASCADE Technology 2D/3D geometric primitives data structures - dev files
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libocct-modeling-data.

Package: libocct-modeling-algorithms-7.3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open CASCADE Technology geometrical & topological algorithms module
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the following shared libraries:
   TKGeomAlgo TKTopAlgo TKPrim TKBO TKBool TKHLR TKFillet TKOffset TKFeat
   TKMesh TKXMesh TKShHealing

Package: libocct-modeling-algorithms-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libocct-foundation-dev (<< ${binary:Version}+1~),
         libocct-foundation-dev (>= ${binary:Version}),
         libocct-modeling-algorithms-7.3 (<< ${binary:Version}+1~),
         libocct-modeling-algorithms-7.3 (>= ${binary:Version}),
         ${misc:Depends}
Conflicts: liboce-modeling-dev
Replaces: liboce-modeling-dev
Description: Open CASCADE Technology geometrical & topological algorithms module - dev files
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libocct-modeling-algorithms.

Package: libocct-visualization-7.3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open CASCADE Technology graphical data visualization module
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package provides services for displaying 2D and 3D graphics.
 .
 This package contains the following shared libraries:
  TKService TKV3d TKOpenGl TKMeshVS TKIVtk TKD3DHost

Package: libocct-visualization-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libfreeimage-dev,
         libfreetype6-dev,
         libgl1-mesa-dev | libgl-dev,
         libglu1-mesa-dev | libglu-dev,
         libocct-foundation-dev (<< ${binary:Version}+1~),
         libocct-foundation-dev (>= ${binary:Version}),
         libocct-modeling-algorithms-dev (<< ${binary:Version}+1~),
         libocct-modeling-algorithms-dev (>= ${binary:Version}),
         libocct-modeling-data-dev (<< ${binary:Version}+1~),
         libocct-modeling-data-dev (>= ${binary:Version}),
         libocct-ocaf-dev (<< ${binary:Version}+1~),
         libocct-ocaf-dev (>= ${binary:Version}),
         libocct-visualization-7.3 (<< ${binary:Version}+1~),
         libocct-visualization-7.3 (>= ${binary:Version}),
         libx11-dev,
         libxext-dev,
         libxmu-dev,
         ${misc:Depends}
Conflicts: liboce-visualization-dev
Replaces: liboce-visualization-dev
Description: Open CASCADE Technology graphical data visualization module - dev files
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libocct-visualization.

Package: libocct-ocaf-7.3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open CASCADE Technology application-specific data and functionality
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package provides Open CASCADE Application Framework services.
 .
 This package contains the following shared libraries:
 .
   TKCDF TKLCAF TKCAF TKBinL TKXmlL TKBin TKXml TKStdL TKStd TKTObj TKBinTObj
   TKXmlTObj TKVCAF

Package: libocct-ocaf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libocct-foundation-dev (<< ${binary:Version}+1~),
         libocct-foundation-dev (>= ${binary:Version}),
         libocct-modeling-algorithms-dev (<< ${binary:Version}+1~),
         libocct-modeling-algorithms-dev (>= ${binary:Version}),
         libocct-modeling-data-dev (<< ${binary:Version}+1~),
         libocct-modeling-data-dev (>= ${binary:Version}),
         libocct-ocaf-7.3 (<< ${binary:Version}+1~),
         libocct-ocaf-7.3 (>= ${binary:Version}),
         libocct-visualization-7.3 (<< ${binary:Version}+1~),
         libocct-visualization-7.3 (>= ${binary:Version}),
         ${misc:Depends}
Conflicts: liboce-ocaf-dev, liboce-ocaf-lite-dev
Replaces: liboce-ocaf-dev, liboce-ocaf-lite-dev
Description: Open CASCADE Technology application-specific data and functionality - dev files
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libocct-ocaf.

Package: libocct-data-exchange-7.3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open CASCADE Technology module for CAD data format interoperability
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package provides support for data exchange.
 .
 This package contains the following shared libraries:
   TKXSBase TKSTEPBase TKSTEPAttr TKSTEP209 TKSTEP TKIGES TKXCAF TKXDEIGES
   TKXDESTEP TKSTL TKVRML TKXmlXCAF TKBinXCAF

Package: libocct-data-exchange-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libocct-data-exchange-7.3 (<< ${binary:Version}+1~),
         libocct-data-exchange-7.3 (>= ${binary:Version}),
         libocct-foundation-dev (<< ${binary:Version}+1~),
         libocct-foundation-dev (>= ${binary:Version}),
         libocct-modeling-algorithms-dev (<< ${binary:Version}+1~),
         libocct-modeling-algorithms-dev (>= ${binary:Version}),
         libocct-modeling-data-dev (<< ${binary:Version}+1~),
         libocct-modeling-data-dev (>= ${binary:Version}),
         libocct-ocaf-dev (<< ${binary:Version}+1~),
         libocct-ocaf-dev (>= ${binary:Version}),
         libocct-visualization-dev (<< ${binary:Version}+1~),
         libocct-visualization-dev (>= ${binary:Version}),
         ${misc:Depends}
Conflicts: liboce-ocaf-dev, liboce-ocaf-lite-dev
Replaces: liboce-ocaf-dev, liboce-ocaf-lite-dev
Description: Open CASCADE Technology module for CAD data format interoperability - dev files
 Open CASCADE Technology is a suite for 3D surface and solid modeling,
 visualization, data exchange and rapid application development.  It is an
 excellent platform for development of numerical simulation software including
 CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
 .
 This package contains the headers and symlinks for libraries shipped by
 libocct-data-exchange.

Package: libocct-draw-7.3

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
        -DFREETYPE_INCLUDE_DIR=/usr/include/freetype2 \
        -DINSTALL_CMAKE_DATA_DIR:PATH=lib/$(DEB_HOST_MULTIARCH)/opencascade \
        -DINSTALL_DIR_LIB:PATH=lib/$(DEB_HOST_MULTIARCH) \
	-DUSE_VTK:BOOL=off \
	-DUSE_TBB:BOOL=on \
	-DUSE_FREEIMAGE:BOOL=on \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	$(if $(findstring $(DEB_HOST_ARCH),armel),-DIGNORE_NO_ATOMICS:BOOL=on)

override_dh_installdocs-indep:
	dh_installdocs
	dh_doxygen

override_dh_missing-arch:
	dh_missing --fail-missing

override_dh_shlibdeps:
	# Disable unnecessary warnings happening because of the way the packages
	# provide their shared libraries, see d/control
	dh_shlibdeps -- --warnings=1

## opencascade 7.4.1+dfsg1

=== debian/changelog ===
opencascade (7.4.1+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Frost <tobi@debian.org>  Sat, 25 Apr 2020 20:53:17 +0200

opencascade (7.4.1+dfsg1-1) experimental; urgency=medium

  * New upstream release.

 -- Tobias Frost <tobi@debian.org>  Sun, 12 Apr 2020 09:17:20 +0200

opencascade (7.4.0+dfsg1-1) experimental; urgency=medium

  [ Kurt Kremitzki ]
  * [f98b71c] New upstream version 7.4.0+dfsg1
  * [dcc600a] Update packaging for 7.4.0

  [ Tobias Frost ]
  * Upload to experimental to clear NEW.

 -- Tobias Frost <tobi@debian.org>  Sun, 05 Apr 2020 14:31:28 +0200

=== debian/control ===
--- 
+++ 
@@ -25,12 +25,14 @@
 Vcs-Git: https://salsa.debian.org/science-team/opencascade.git
 Homepage: https://www.opencascade.com/
 
-Package: libocct-foundation-7.3
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Package: libocct-foundation-7.4
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Breaks: libocct-foundation-7.3
+Replaces: libocct-foundation-7.3
 Description: OCCT module underlying all other OCCT classes
  Open CASCADE Technology is a suite for 3D surface and solid modeling,
  visualization, data exchange and rapid application development.  It is an
@@ -49,8 +51,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libocct-foundation-7.3 (<< ${binary:Version}+1~),
-         libocct-foundation-7.3 (>= ${binary:Version}),
+Depends: libocct-foundation-7.4 (<< ${binary:Version}+1~),
+         libocct-foundation-7.4 (>= ${binary:Version}),
          ${misc:Depends}
 Conflicts: liboce-foundation-dev
 Replaces: liboce-foundation-dev
@@ -63,12 +65,14 @@
  This package contains the headers and symlinks for libraries shipped by
  libocct-foundation.
 
-Package: libocct-modeling-data-7.3
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Package: libocct-modeling-data-7.4
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Breaks: libocct-modeling-data-7.3
+Replaces: libocct-modeling-data-7.3
 Description: Open CASCADE Technology 2D/3D geometric primitives data structures
  Open CASCADE Technology is a suite for 3D surface and solid modeling,
  visualization, data exchange and rapid application development.  It is an
@@ -86,8 +90,8 @@
 Section: libdevel
 Depends: libocct-foundation-dev (<< ${binary:Version}+1~),
          libocct-foundation-dev (>= ${binary:Version}),
-         libocct-modeling-data-7.3 (<< ${binary:Version}+1~),
-         libocct-modeling-data-7.3 (>= ${binary:Version}),
+         libocct-modeling-data-7.4 (<< ${binary:Version}+1~),
+         libocct-modeling-data-7.4 (>= ${binary:Version}),
          ${misc:Depends}
 Conflicts: liboce-modeling-dev
 Replaces: liboce-modeling-dev
@@ -100,12 +104,14 @@
  This package contains the headers and symlinks for libraries shipped by
  libocct-modeling-data.
 
-Package: libocct-modeling-algorithms-7.3
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Package: libocct-modeling-algorithms-7.4
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Breaks: libocct-modeling-algorithms-7.3
+Replaces: libocct-modeling-algorithms-7.3
 Description: Open CASCADE Technology geometrical & topological algorithms module
  Open CASCADE Technology is a suite for 3D surface and solid modeling,
  visualization, data exchange and rapid application development.  It is an
@@ -122,8 +128,8 @@
 Section: libdevel
 Depends: libocct-foundation-dev (<< ${binary:Version}+1~),
          libocct-foundation-dev (>= ${binary:Version}),
-         libocct-modeling-algorithms-7.3 (<< ${binary:Version}+1~),
-         libocct-modeling-algorithms-7.3 (>= ${binary:Version}),
+         libocct-modeling-algorithms-7.4 (<< ${binary:Version}+1~),
+         libocct-modeling-algorithms-7.4 (>= ${binary:Version}),
          ${misc:Depends}
 Conflicts: liboce-modeling-dev
 Replaces: liboce-modeling-dev
@@ -136,12 +142,14 @@
  This package contains the headers and symlinks for libraries shipped by
  libocct-modeling-algorithms.
 
-Package: libocct-visualization-7.3
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Package: libocct-visualization-7.4
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Breaks: libocct-visualization-7.3
+Replaces: libocct-visualization-7.3
 Description: Open CASCADE Technology graphical data visualization module
  Open CASCADE Technology is a suite for 3D surface and solid modeling,
  visualization, data exchange and rapid application development.  It is an
@@ -169,8 +177,8 @@
          libocct-modeling-data-dev (>= ${binary:Version}),
          libocct-ocaf-dev (<< ${binary:Version}+1~),
          libocct-ocaf-dev (>= ${binary:Version}),
-         libocct-visualization-7.3 (<< ${binary:Version}+1~),
-         libocct-visualization-7.3 (>= ${binary:Version}),
+         libocct-visualization-7.4 (<< ${binary:Version}+1~),
+         libocct-visualization-7.4 (>= ${binary:Version}),
          libx11-dev,
          libxext-dev,
          libxmu-dev,
@@ -186,12 +194,14 @@
  This package contains the headers and symlinks for libraries shipped by
  libocct-visualization.
 
-Package: libocct-ocaf-7.3
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Package: libocct-ocaf-7.4
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Breaks: libocct-ocaf-7.3
+Replaces: libocct-ocaf-7.3
 Description: Open CASCADE Technology application-specific data and functionality
  Open CASCADE Technology is a suite for 3D surface and solid modeling,
  visualization, data exchange and rapid application development.  It is an
@@ -215,10 +225,10 @@
          libocct-modeling-algorithms-dev (>= ${binary:Version}),
          libocct-modeling-data-dev (<< ${binary:Version}+1~),
          libocct-modeling-data-dev (>= ${binary:Version}),
-         libocct-ocaf-7.3 (<< ${binary:Version}+1~),
-         libocct-ocaf-7.3 (>= ${binary:Version}),
-         libocct-visualization-7.3 (<< ${binary:Version}+1~),
-         libocct-visualization-7.3 (>= ${binary:Version}),
+         libocct-ocaf-7.4 (<< ${binary:Version}+1~),
+         libocct-ocaf-7.4 (>= ${binary:Version}),
+         libocct-visualization-7.4 (<< ${binary:Version}+1~),
+         libocct-visualization-7.4 (>= ${binary:Version}),
          ${misc:Depends}
 Conflicts: liboce-ocaf-dev, liboce-ocaf-lite-dev
 Replaces: liboce-ocaf-dev, liboce-ocaf-lite-dev
@@ -231,12 +241,14 @@
  This package contains the headers and symlinks for libraries shipped by
  libocct-ocaf.
 
-Package: libocct-data-exchange-7.3
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Package: libocct-data-exchange-7.4
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Breaks: libocct-data-exchange-7.3
+Replaces: libocct-data-exchange-7.3
 Description: Open CASCADE Technology module for CAD data format interoperability
  Open CASCADE Technology is a suite for 3D surface and solid modeling,
  visualization, data exchange and rapid application development.  It is an
@@ -253,8 +265,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libocct-data-exchange-7.3 (<< ${binary:Version}+1~),
-         libocct-data-exchange-7.3 (>= ${binary:Version}),
+Depends: libocct-data-exchange-7.4 (<< ${binary:Version}+1~),
+         libocct-data-exchange-7.4 (>= ${binary:Version}),
          libocct-foundation-dev (<< ${binary:Version}+1~),
          libocct-foundation-dev (>= ${binary:Version}),
          libocct-modeling-algorithms-dev (<< ${binary:Version}+1~),
@@ -269,12 +281,3 @@
 Conflicts: liboce-ocaf-dev, liboce-ocaf-lite-dev
 Replaces: liboce-ocaf-dev, liboce-ocaf-lite-dev
 Description: Open CASCADE Technology module for CAD data format interoperability - dev files
- Open CASCADE Technology is a suite for 3D surface and solid modeling,
- visualization, data exchange and rapid application development.  It is an
- excellent platform for development of numerical simulation software including
- CAD/CAM/CAE, AEC and GIS, as well as PDM applications.
- .
- This package contains the headers and symlinks for libraries shipped by
- libocct-data-exchange.
-
-Package: libocct-draw-7.3

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	-DUSE_VTK:BOOL=off \
 	-DUSE_TBB:BOOL=on \
 	-DUSE_FREEIMAGE:BOOL=on \
+	-DBUILD_RELEASE_DISABLE_EXCEPTIONS:BOOL=off \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 	$(if $(findstring $(DEB_HOST_ARCH),armel),-DIGNORE_NO_ATOMICS:BOOL=on)
